There is an easier way to install GNS3 on Ubuntu, for instance using apt-get install gns3.

However the version you get from that install is quite old. 0.8.7 something

Here I describe a method to get a working version GNS 1.2.3 on Ubuntu 14.10

 

Get a whole bunch of installation dependencies out of the way:
apt-get install git vim tmux pastebinit libelf-dev uuid-dev libpcap0.8-dev python3-setuptools python3-zmq python3-netifaces python3-pyqt4 bison flex cmake gcc wireshark

mkdir gns3

cd gns3

git clone https://github.com/GNS3/gns3-gui.git

cd gns3-gui
python3 setup.py install

git clone https://github.com/GNS3/gns3-server.git

cd gns3-server-master
python3 setup.py install

git clone https://github.com/GNS3/dynamips.git

cd dynamips
mkdir build
cd build
cmake ..

make install

 

Th reason for the next step is to allow GNS3 to locate the dynamips binary.

ln -s /usr/local/bin/dynamips /usr/bin/dynamips

 

Once these steps have been completed, simply run gns3 with the command below:

gns3

I would appreciate feedback as to how I could improve the video below.

14 Comments

Comments are closed.

  1. Andreas 3 years ago

    thanks for this! Helped me greatly!
    Would suggest to clarify where the commands are entered from a bit. Makes it easier when just reading the instructions. Not one for videos so I have no comments on that. Good luck on your CCNP journey!

  2. David 3 years ago

    everything went well until I got to cd gns3-server-master and got message: cd gns3-server-master, I created the dir and then got: python3 setup.py install python3: can’t open file ‘setup.py’: [Errno 2] No such file or directory. I’ll keep looking. Thank you.

  3. David 3 years ago

    I am able to launch gns3. Hopefully it works fine. Thanks again for the tutorial.

  4. Fitsum 3 years ago

    Well done Thanks!
    Everything is running ok but I have the following error when I try to run QEMU VMs for ASA “sorry, no QEMU binary has been found. Please make sure QEMU is installed before continuing” I tried to install QEMU but I must have not installed correctly.

    Thanks.

    • Author
      mansoor 3 years ago

      My instructions do not support QEMU at this time.

      Please check back in the future.

  5. Bob 3 years ago

    A very user friendly instructional video guide. Within 10 minutes I had GNS3 installed. Also, this was the only on line instruction guide that I was able to get working. The first four instruction guides that were attempted – nothing worked right – Thank You

    • Author
      mansoor 3 years ago

      Glad it worked out for you. I am working on getting iou (IOS On Unix) working and will have another video up detailing those instructions shortly. Be sure to subscribe using RSS, or check back later.

      Mansoor

  6. Waqas 3 years ago

    Thanks It worked for me
    and I dont like to give away my email to write a reply

    • Author
      mansoor 3 years ago

      Sorry you had to fill in an email address to respond. Not sure how I can remove that requirement from my site.

  7. INI ERROR 3 years ago

    I have this error when I try to start gns3:

    Traceback (most recent call last):
    File “/usr/local/bin/gns3”, line 9, in
    load_entry_point(‘gns3-gui==1.3.8.dev1’, ‘gui_scripts’, ‘gns3’)()
    File “/usr/local/lib/python3.4/site-packages/pkg_resources/__init__.py”, line 519, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
    File “/usr/local/lib/python3.4/site-packages/pkg_resources/__init__.py”, line 2630, in load_entry_point
    return ep.load()
    File “/usr/local/lib/python3.4/site-packages/pkg_resources/__init__.py”, line 2310, in load
    return self.resolve()
    File “/usr/local/lib/python3.4/site-packages/pkg_resources/__init__.py”, line 2316, in resolve
    module = __import__(self.module_name, fromlist=[‘__name__’], level=0)
    File “/usr/local/lib/python3.4/site-packages/gns3_gui-1.3.8.dev1-py3.4.egg/gns3/main.py”, line 39, in
    File “/usr/local/lib/python3.4/site-packages/gns3_gui-1.3.8.dev1-py3.4.egg/gns3/crash_report.py”, line 32, in
    File “/usr/local/lib/python3.4/site-packages/gns3_gui-1.3.8.dev1-py3.4.egg/gns3/servers.py”, line 32, in
    File “/usr/local/lib/python3.4/site-packages/gns3_gui-1.3.8.dev1-py3.4.egg/gns3/qt.py”, line 26, in
    ImportError: No module named ‘sip’

    HELP!!

  8. derick 3 years ago

    Thanks it works. Live long and prosper.

  9. Mohamed 3 years ago

    Thank you Mansoor, it worked well with me.

  10. franz 3 years ago

    after the last step
    ~gns3/dnyamips/build$ ln -s /usr/local/bin/dynamips /usr/bin/dynamips
    i got this error:
    failed to create symbolic link ‘/usr/bin/utserver’: File exists
    when i opened the gns3 i got this error
    Error while creating project: Can’t connect to server http://127.0.0.1:8000

    need help please thanks!

CONTACT US

We're not around right now. But you can send us an email and we'll get back to you, asap.

Sending

©2018 KLEO Template a premium and multipurpose theme from Seventh Queen

Log in with your credentials

Forgot your details?